Name:		crack-attack
Summary:	Tetris like game
Version:	1.1.14
Release:	%mkrel 33
Url:		https://www.nongnu.org/crack-attack/
Source0:	https://savannah.nongnu.org/download/crack-attack/%{name}-%{version}.tar.bz2
Source11:	%{name}-48.png
Source12:	%{name}-32.png
Source13:	%{name}-16.png
Source4:	crack-attack-scripts.tar.bz2
Source5:	crack-attack-1.1.10-man6-page.bz2
Patch0:		crack-attack-1.1.14-fix-str-fmt.patch
Patch3:		crack-attack-1.1.14-dont-segfault-i865g.patch
Patch4:     	crack-attack-1.1.14-ipv6-patch
Patch5:         crack-attack-1.1.14-gcc43.patch
Patch6:		crack-attack-1.1.14-freeglut-init.patch
Patch7:		crack-attack-1.1.14-automake-1.13.patch
Group:		Games/Arcade
License:	GPL
BuildRequires:	mesagl-devel
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	autoconf
BuildRequires:	gtk+2-devel
BuildRequires:	pkgconfig(xmu)
Requires:	zenity
Recommends:	crack-attack-music
Recommends:	crack-attack-sounds

%description
'Crack Attack!' is a free OpenGL game
based on the Super Nintendo classic Tetris Attack.

%prep
%setup -q -a 4
%patch -P 0 -p0 -b .str
%patch -P 3 -p0 -b .seg
# https://lists.gnu.org/archive/html/crack-attack-devel/2005-05/msg00002.html
%patch -P 4 -p0
%patch -P 5 -p1 -b .gcc43
%patch -P 6 -p1
%patch -P 7 -p1 -b .automake-1_13
bzcat %{SOURCE5} > doc/crack-attack.6

perl -pi -e "s|^CXXFLAGS.*|CXXFLAGS = $RPM_OPT_FLAGS -DNDEBUG|" src/Makefile*

%build
autoreconf -fi
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--enable-sound
%make_build

%install
%make_install

install -D -m 755 crack-attack-{solo,create-server,join-server} %{buildroot}%{_gamesbindir}/

install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

rm -rf %{buildroot}%{_mandir}/man1/crack-attack.1
install -m644 doc/crack-attack.6 -D %{buildroot}%{_mandir}/man6/crack-attack.6

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Crack Attack!
Exec=crack-attack
Icon=crack-attack
Terminal=false
Type=Application
Categories=ArcadeGame;Game;
StartupNotify=false
EOF

%files
%doc doc/*.html doc/*.jpg
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-*
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_mandir}/man6/*




%changelog
* Sat Dec 21 2024 pterjan <pterjan> 1.1.14-33.mga10
+ Revision: 2127171
- Rebuild for patchN deprecation

* Mon Mar 14 2022 umeabot <umeabot> 1.1.14-32.mga9
+ Revision: 1791676
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.14-31.mga8
+ Revision: 1511475
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.1.14-30.mga7
+ Revision: 1296896
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.1.14-29.mga6
+ Revision: 946547
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.14-28.mga5
+ Revision: 741739
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.14-27.mga5
+ Revision: 678578
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.1.14-26.mga4
+ Revision: 503543
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.1.14-25.mga3
+ Revision: 348284
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 cjw <cjw> 1.1.14-24.mga3
+ Revision: 336310
- patch7: fix build with automake 1.13

* Mon Oct 17 2011 zezinho <zezinho> 1.1.14-23.mga2
+ Revision: 155647
- activate freeglut patch

* Fri Sep 23 2011 zezinho <zezinho> 1.1.14-22.mga2
+ Revision: 147125
- bump release
- add BR libxmu-devel
- switch to freeglut

* Thu Mar 31 2011 ennael <ennael> 1.1.14-21.mga1
+ Revision: 79251
- fix build rrequires
- clean spec file
- imported package crack-attack
+ stormi <stormi>
- continue spec cleaning

